# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Box widget" 

import gobject

from container import Container

class Box(Container):
    """ A Box widget """

    def __init__(self, width_pc=100, height_pc=100, width_mm=0, height_mm=0, 
                 ratio_lock='width', ratio=0.0, x_pc=0, y_pc=0, x_mm=0, 
                 y_mm=0):
        
        """ 
        * -- refer to Container for inherited arguments 
        """
        
        Container.__init__(self, 
                           width_pc=width_pc,
                           height_pc=height_pc,
                           width_mm=width_mm,
                           height_mm=height_mm,
                           ratio_lock=ratio_lock,
                           ratio=ratio,
                           x_pc=x_pc,
                           y_pc=y_pc,
                           x_mm=x_mm,
                           y_mm=y_mm)

    def update(self):
        """ Resize clutter.Actor """
        super(Box, self).update()
        
   
gobject.type_register(Box)

