# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "some utils"

import clutter

class Utils(object):

    def __init__(self, stage):
        
        self.stage = stage
        
    def units_from_stage_width_percentage(self, percent):
        """ Returns the number of pixels correspondant to % of screen width
        
        :rtype (integer) -- number of correspondant pixels in x axis
        """
        return int(float(self.stage.get_width()) * percent / 100)
 
    def units_from_stage_height_percentage(self, percent):
        """ Returns the number of pixels correspondant to % of screen height
        
        :rtype (integer) -- number of correspondant pixels in y axis
        """
        return int(float(self.stage.get_height()) * percent / 100)

